from roster import Roster

from vehicles import (acton,
                      amblecote,
                      applethwaite,
                      beerwoods,
                      big_rigg,
                      # big_sky, deprecated
                      bottlebrook,
                      boilingwell,
                      brass_monkey,
                      brigand,
                      brightling,
                      buildwas,
                      buff,
                      capo,
                      catchcan,
                      chainburn,
                      cloud_hill,
                      colbiggan,
                      coldfall,
                      coleman,
                      cowsleigh,
                      crime_rigg,
                      drumbreck,
                      easywheal,
                      flow_edge,
                      strongbox,
                      fairlop,
                      #foreshore, # deprecated, pending decision on container trucks being in or out
                      fortiscue,
                      foxley,
                      glenmore,
                      goldmire,
                      greenscoe,
                      griff,
                      hawkmoor,
                      highgate,
                      honister,
                      jinglepot,
                      knockdown,
                      ladycross,
                      leyburn,
                      poptop,
                      limebreach,
                      littleduke,
                      mcdowell,
                      meriden,
                      merrivale,
                      nettlebridge,
                      newbold,
                      northbeach,
                      nutbrook,
                      oylbarral,
                      oxleas,
                      pigstick,
                      plumley,
                      polangrain,
                      portland,
                      powerstock,
                      quickset,
                      rackwood,
                      rakeway,
                      rattlebrook,
                      reaver,
                      ribble,
                      road_thief,
                      runwell,
                      scrag_end,
                      scrooby_top,
                      shotover,
                      silvertop,
                      singing_river,
                      sparkford,
                      speedwell,
                      stagrun,
                      stakebeck,
                      stancliffe,
                      # steeraway, # deprecated, pending decision on foundry haulers being in or out
                      stungun,
                      swineshead,
                      tallyho,
                      thunder,
                      thurlbear,
                      tin_hatch,
                      topley,
                      towerhouse,
                      trefell,
                      trotalong,
                      twinhills,
                      waterperry,
                      windergill,
                      winterfold,
                      wookey,
                      yeoman)

roster = Roster(id = 'brit',
                numeric_id = 1,
                # keep dates for power and speeds matched
                truck_speeds = {0: 25, 1905: 40, 1935: 55, 1965: 70, 1985: 80},
                tram_speeds = {0: 25, 1900: 35, 1930: 45, 1960: 55, 1990: 60}, # last generation only increase by 5mph by design
                truck_power_bands = {0: 100, 1905: 150, 1935: 250, 1965: 450, 1985: 700},
                # tram power is excessive compare to RL, otherwise the OpenTTD physics model spanks the trams
                tram_power_bands = {0: 240, 1900: 480, 1930: 720, 1960: 960, 1990: 1200},
                vehicles = [leyburn,
                            thunder,
                            highgate,
                            topley,
                            glenmore,
                            oxleas,
                            acton,
                            # big_sky, deprecated
                            tallyho,
                            brass_monkey,
                            goldmire,
                            littleduke,
                            jinglepot,
                            rattlebrook,
                            yeoman,
                            capo,
                            runwell,
                            easywheal,
                            quickset,
                            speedwell,
                            chainburn,
                            windergill,
                            towerhouse,
                            big_rigg,
                            coleman,
                            honister,
                            wookey,
                            powerstock,
                            boilingwell,
                            greenscoe,
                            meriden,
                            cloud_hill,
                            limebreach,
                            ribble,
                            mcdowell,
                            cowsleigh,
                            pigstick,
                            swineshead,
                            stungun,
                            flow_edge,
                            beerwoods,
                            waterperry,
                            silvertop,
                            merrivale,
                            fortiscue,
                            coldfall,
                            #foreshore, # deprecated, pending decision on container trucks being in or out
                            reaver,
                            crime_rigg,
                            brigand,
                            road_thief,
                            # trams
                            ladycross,
                            fairlop,
                            newbold,
                            northbeach,
                            twinhills,
                            tin_hatch,
                            foxley,
                            stagrun,
                            strongbox,
                            singing_river,
                            buildwas,
                            portland,
                            brightling,
                            amblecote,
                            rakeway,
                            colbiggan,
                            stakebeck,
                            rackwood,
                            stancliffe,
                            scrooby_top,
                            hawkmoor,
                            nettlebridge,
                            drumbreck,
                            catchcan,
                            oylbarral,
                            polangrain,
                            thurlbear,
                            scrag_end,
                            trotalong,
                            shotover,
                            poptop,
                            bottlebrook,
                            winterfold,
                            sparkford,
                            plumley,
                            applethwaite,
                            nutbrook,
                            # off-highway
                            griff,
                            trefell,
                            knockdown,
                            buff])
                            #steeraway

